# Class MappedResponseChangedSourceAddressReflectedFrom

java.lang.Object
de.javawi.jstun.attribute.MessageAttribute
de.javawi.jstun.attribute.MappedResponseChangedSourceAddressReflectedFrom

All Implemented Interfaces:
  `MessageAttributeInterface`

Direct Known Subclasses:
  `ChangedAddress, MappedAddress, ReflectedFrom, ResponseAddress, SourceAddress`

public class MappedResponseChangedSourceAddressReflectedFrom extends MessageAttribute

## Nested Class Summary

### Nested classes/interfaces inherited from interface MessageAttributeInterface

`MessageAttributeInterface.MessageAttributeType`

## Field Summary

### Fields inherited from interface MessageAttributeInterface

`CHANGEDADDRESS, CHANGEREQUEST, DUMMY, ERRORCODE, MAPPEDADDRESS, MESSAGEINTEGRITY, PASSWORD, REFLECTEDFROM, RESPONSEADDRESS, SOURCEADDRESS, UNKNOWNATTRIBUTE, USERNAME`

## Constructor Summary

Constructors
Constructor
Description
`MappedResponseChangedSourceAddressReflectedFrom()`
`MappedResponseChangedSourceAddressReflectedFrom(MessageAttributeInterface.MessageAttributeType type)`

## Method Summary

Modifier and Type
Method
Description
`Address`
`getAddress()`
`byte[]`
`getBytes()`
`int`
`getPort()`
`protected static MappedResponseChangedSourceAddressReflectedFrom`
`parse(MappedResponseChangedSourceAddressReflectedFrom ma, byte[] data)`
`void`
`setAddress(Address address)`
`void`
`setPort(int port)`
`String`
`toString()`

### Methods inherited from class MessageAttribute

`getLength, getType, intToType, parseCommonHeader, setType, typeToInteger`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MappedResponseChangedSourceAddressReflectedFrom

public MappedResponseChangedSourceAddressReflectedFrom()

### MappedResponseChangedSourceAddressReflectedFrom

public MappedResponseChangedSourceAddressReflectedFrom(MessageAttributeInterface.MessageAttributeType type)

## Method Details

### getPort

public int getPort()

### getAddress

public Address getAddress()

### setPort

public void setPort(int port) throws MessageAttributeException

Throws:
  `MessageAttributeException`

### setAddress

public void setAddress(Address address)

### getBytes

public byte[] getBytes() throws UtilityException

Specified by:
  `getBytes` in class `MessageAttribute`
Throws:
  `UtilityException`

### parse

protected static MappedResponseChangedSourceAddressReflectedFrom parse(MappedResponseChangedSourceAddressReflectedFrom ma, byte[] data) throws MessageAttributeParsingException

Throws:
  `MessageAttributeParsingException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`